Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234675 - When outbox has a mail, evolution crashes
Summary: When outbox has a mail, evolution crashes
Keywords:
Status: CLOSED DUPLICATE of bug 238497
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Blocker
TreeView+ depends on / blocked
 
Reported: 2007-03-31 01:40 UTC by sangu
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 2.10.1-4.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-20 13:11:57 UTC


Attachments (Terms of Use)

Description sangu 2007-03-31 01:40:40 UTC
Description of problem:
Distribution: Fedora release 6.92 (Rawhide)
Gnome Release: 2.18.0 2007-03-23 (Red Hat, Inc)
BugBuddy Version: 2.18.0

System: Linux 2.6.20-1.3025.fc7 #1 SMP Wed Mar 28 20:33:47 EDT 2007 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10299902
Selinux: No
Accessibility: Disabled
GTK+ Theme: Clearlooks-sangu
Icon Theme: Tango

Memory status: size: 122040320 vsize: 122040320 resident: 26144768 share:
18644992 rss: 26144768 rss_rlim: 4294967295
CPU usage: start_time: 1175305272 rtime: 171 utime: 147 stime: 24 cutime:1
cstime: 6 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/evolution'

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208428832 (LWP 4573)]
[New Thread -1223820400 (LWP 4592)]
0x0033e402 in __kernel_vsyscall ()
#0  0x0033e402 in __kernel_vsyscall ()
#1  0x00957bfb in waitpid () from /lib/libpthread.so.0
#2  0x00391a46 in libgnomeui_segv_handle (signum=11) at gnome-ui-init.c:872
#3  0x0805ed39 in segv_redirect (sig=11) at main.c:408
#4  <signal handler called>
#5  0x009c620b in camel_message_info_ptr (mi=0x97f6340, id=2)
    at camel-folder-summary.c:2955
#6  0x01925549 in ml_tree_value_at (etm=0x944b418, path=0x97f6340, col=20, 
    model_data=0x9547820) at message-list.c:1286
#7  0x00ae9726 in etmc_value_at (etm=0x944b418, node=0x97f6340, col=20)
    at e-tree-memory-callbacks.c:104
#8  0x00aeae31 in e_tree_model_value_at (etree=0x944b418, node=0x97f6340, 
    col=20) at e-tree-model.c:783
#9  0x00add219 in e_table_sorting_utils_tree_sort (source=0x944b418, 
    sort_info=0x9856ea0, full_header=0x9552040, map_table=0x990f650, count=2)
    at e-table-sorting-utils.c:287
#10 0x00af18ea in resort_node (etta=0x9551010, gnode=0x9849218, recurse=1)
    at e-tree-table-adapter.c:183
#11 0x00af2cef in generate_tree (etta=0x9551010, path=<value optimized out>)
    at e-tree-table-adapter.c:374
#12 0x00af34ec in etta_proxy_node_changed (etm=0x944b418, path=0x97f6460, 
    etta=0x9551010) at e-tree-table-adapter.c:483
#13 0x00ed06b9 in IA__g_cclosure_marshal_VOID__POINTER (closure=0x955f430, 
    return_value=0x0, n_param_values=2, param_values=0xbfac5dfc, 
    invocation_hint=0xbfac5d0c, marshal_data=0xaf3440) at gmarshal.c:601
#14 0x00ec3d9b in IA__g_closure_invoke (closure=0x955f430, return_value=0x0, 
    n_param_values=2, param_values=0xbfac5dfc, invocation_hint=0xbfac5d0c)
    at gclosure.c:490
#15 0x00ed4433 in signal_emit_unlocked_R (node=0x954ea80, detail=0, 
    instance=0x944b418, emission_return=0x0, instance_and_params=0xbfac5dfc)
    at gsignal.c:2440
#16 0x00ed5957 in IA__g_signal_emit_valist (instance=0x944b418, 
    signal_id=253, detail=0, 
    var_args=0xbfac6040 "\2309Q\tt\t\206\t d\177\001p\025±") at gsignal.c:2199
#17 0x00ed5b19 in IA__g_signal_emit (instance=0x944b418, signal_id=253, 
    detail=0) at gsignal.c:2243
#18 0x00aec0c7 in e_tree_model_node_changed (tree_model=0x944b418, 
    node=0x97f6460) at e-tree-model.c:259
#19 0x00ae9cd3 in e_tree_memory_thaw (etmm=0x944b418) at e-tree-memory.c:203
#20 0x019265d8 in regen_list_regened (mm=0x98f8800) at message-list.c:2421
#21 0x01915912 in periodic_processing () at mail-mt.c:465
#22 0x0145dbf6 in g_timeout_dispatch (source=0x94d5b98, callback=0x97f6340, 
    user_data=0x0) at gmain.c:3422
#23 0x0145d622 in IA__g_main_context_dispatch (context=0x93d52d0)
    at gmain.c:2045
#24 0x014605ff in g_main_context_iterate (context=0x93d52d0, block=1, 
    dispatch=1, self=0x93ae648) at gmain.c:2677
#25 0x014609a9 in IA__g_main_loop_run (loop=0x93e7f10) at gmain.c:2881
#26 0x0059c7e3 in bonobo_main () at bonobo-main.c:311
#27 0x0805eb60 in main (argc=2, argv=0xbfac6474) at main.c:586

Thread 2 (Thread -1223820400 (LWP 4592)):
#0  0x0033e402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x05a66a83 in *__GI___poll (fds=0x5aefff4, nfds=2, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:87
	resultvar = <value optimized out>
	oldtype = 0
	result = <value optimized out>
#2  0x01460633 in g_main_context_iterate (context=0x9509c60, block=1, 
    dispatch=1, self=0x950c058) at gmain.c:2979
	got_ownership = <value optimized out>
	max_priority = 2147483647
	timeout = -1
	some_ready = <value optimized out>
	nfds = 2
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0x950d6e8
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x014609a9 in IA__g_main_loop_run (loop=0x9503ee0) at gmain.c:2881
	got_ownership = 9773552
	self = (GThread *) 0x950c058
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#4  0x002715b4 in ?? () from /usr/lib/libnm_glib.so.0
No symbol table info available.
#5  0x0147b49f in g_thread_create_proxy (data=0x950c058) at gthread.c:591
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x009502db in start_thread (arg=0xb70dfb90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xb70dfb90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {9830388, 0, 4001536, 
        -1223822184, 1191744252, 1995064211}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#7  0x05a706fe in clone () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x5aaf8a0

Thread 1 (Thread -1208428832 (LWP 4573)):
#0  0x0033e402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00957bfb in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#2  0x00391a46 in libgnomeui_segv_handle (signum=11) at gnome-ui-init.c:872
	estatus = 1
	sa = {__sigaction_handler = {sa_handler = 0, sa_sigaction = 0}, 
  sa_mask = {__val = {15589508, 155198888, 1073774595, 3215742708, 17503518, 
      0, 0, 16777216, 11605360, 154896008, 155589592, 3215742632, 11336530, 
      155589592, 154896008, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15701612, 156487040, 
      155589592, 3215742600, 15584641, 156487040, 11525319, 3215742620}}, 
  sa_flags = 15584641, sa_restorer = 0x95e0818}
	pid = 0
	in_segv = 1
#3  0x0805ed39 in segv_redirect (sig=11) at main.c:408
No locals.
#4  <signal handler called>
No symbol table info available.
#5  0x009c620b in camel_message_info_ptr (mi=0x97f6340, id=2)
    at camel-folder-summary.c:2955
No locals.
#6  0x01925549 in ml_tree_value_at (etm=0x944b418, path=0x97f6340, col=20, 
    model_data=0x9547820) at message-list.c:1286
	child = <value optimized out>
	message_list = <value optimized out>
	ex = {id = CAMEL_EXCEPTION_NONE, desc = 0x0}
	str = 0x97f6340 "@"
	flags = <value optimized out>
	__PRETTY_FUNCTION__ = "ml_tree_value_at"
#7  0x00ae9726 in etmc_value_at (etm=0x944b418, node=0x97f6340, col=20)
    at e-tree-memory-callbacks.c:104
No locals.
#8  0x00aeae31 in e_tree_model_value_at (etree=0x944b418, node=0x97f6340, 
    col=20) at e-tree-model.c:783
	__PRETTY_FUNCTION__ = "e_tree_model_value_at"
#9  0x00add219 in e_table_sorting_utils_tree_sort (source=0x944b418, 
    sort_info=0x9856ea0, full_header=0x9552040, map_table=0x990f650, count=2)
    at e-table-sorting-utils.c:287
	col = (ETableCol *) 0x9465290
	closure = {cols = 1, vals = 0x990fa70, ascending = 0x9911660, 
  compare = 0x990f230}
	cols = 1
	i = 0
	j = 0
	map_copy = <value optimized out>
	__PRETTY_FUNCTION__ = "e_table_sorting_utils_tree_sort"
#10 0x00af18ea in resort_node (etta=0x9551010, gnode=0x9849218, recurse=1)
    at e-tree-table-adapter.c:183
	node = (node_t *) 0x2
	path = <value optimized out>
	prev = <value optimized out>
	curr = <value optimized out>
	i = <value optimized out>
	sort_needed = 1
#11 0x00af2cef in generate_tree (etta=0x9551010, path=<value optimized out>)
    at e-tree-table-adapter.c:374
	gnode = (GNode *) 0x9849218
	node = (node_t *) 0x97effe8
	size = <value optimized out>
	__PRETTY_FUNCTION__ = "generate_tree"
#12 0x00af34ec in etta_proxy_node_changed (etm=0x944b418, path=0x97f6460, 
    etta=0x9551010) at e-tree-table-adapter.c:483
	closure = {paths = 0x0, expanded = 1}
	parent = (ETreePath) 0x0
	gnode = (GNode *) 0x0
	l = <value optimized out>
#13 0x00ed06b9 in IA__g_cclosure_marshal_VOID__POINTER (closure=0x955f430, 
    return_value=0x0, n_param_values=2, param_values=0xbfac5dfc, 
    invocation_hint=0xbfac5d0c, marshal_data=0xaf3440) at gmarshal.c:601
	data1 = (gpointer) 0x944b418
	data2 = <value optimized out>
	__PRETTY_FUNCTION__ = "IA__g_cclosure_marshal_VOID__POINTER"
#14 0x00ec3d9b in IA__g_closure_invoke (closure=0x955f430, return_value=0x0, 
    n_param_values=2, param_values=0xbfac5dfc, invocation_hint=0xbfac5d0c)
    at gclosure.c:490
	marshal = (
    GClosureMarshal) 0xed0660 <IA__g_cclosure_marshal_VOID__POINTER>
	marshal_data = (gpointer) 0x0
	__PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#15 0x00ed4433 in signal_emit_unlocked_R (node=0x954ea80, detail=0, 
    instance=0x944b418, emission_return=0x0, instance_and_params=0xbfac5dfc)
    at gsignal.c:2440
	tmp = <value optimized out>
	handler = (Handler *) 0x954fc20
	accumulator = (SignalAccumulator *) 0x0
	emission = {next = 0x0, instance = 0x944b418, ihint = {
    signal_id = 253, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, 
  state = EMISSION_RUN, chain_type = 4}
	class_closure = (GClosure *) 0x954ea50
	handler_list = (Handler *) 0x954fc20
	return_accu = (GValue *) 0x0
	accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, 
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
      v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
      v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
	signal_id = 253
	max_sequential_handler_number = 2473
	return_value_altered = 0
#16 0x00ed5957 in IA__g_signal_emit_valist (instance=0x944b418, 
    signal_id=253, detail=0, 
    var_args=0xbfac6040 "\2309Q\tt\t\206\t d\177\001p\025±") at gsignal.c:2199
	_flags = <value optimized out>
	_vtable = <value optimized out>
	_cvalues = {{v_int = 95359288, v_long = 95359288, 
    v_int64 = 2314885530374836536, v_double = 6.0134694292653419e-154, 
    v_pointer = 0x5af1138}, {v_int = 95354868, v_long = 95354868, 
    v_int64 = 409564920345985012, v_double = 2.6741878459425641e-281, 
    v_pointer = 0x5aefff4}, {v_int = -754782643, v_long = -754782643, 
    v_int64 = 3540184653, v_double = 1.7490836169817143e-314, 
    v_pointer = 0xd302ee4d}, {v_int = 0, v_long = 0, 
    v_int64 = 409564920250630144, v_double = 2.6741878167819181e-281, 
    v_pointer = 0x0}, {v_int = 48, v_long = 48, v_int64 = 685903768910299184, 
    v_double = 8.2647230714542454e-263, v_pointer = 0x30}, {v_int = 95184632, 
    v_long = 95184632, v_int64 = -4635224878655707400, 
    v_double = -0.055416346256789539, v_pointer = 0x5ac66f8}, {
    v_int = 159333392, v_long = 159333392, v_int64 = 685903769069632528, 
    v_double = 8.264723296163352e-263, v_pointer = 0x97f3c10}, {
    v_int = 95354868, v_long = 95354868, v_int64 = 409564920345985012, 
    v_double = 2.6741878459425641e-281, v_pointer = 0x5aefff4}}
	_lcopy_format = <value optimized out>
	_n_values = <value optimized out>
	return_value = {g_type = 21825744, data = {{v_int = -1079222328, 
      v_uint = 3215744968, v_long = -1079222328, v_ulong = 3215744968, 
      v_int64 = 42000179165683656, v_uint64 = 42000179165683656, 
      v_float = -1.34667301, v_double = 7.5526522288229168e-306, 
      v_pointer = 0xbfac5fc8}, {v_int = -1079222280, v_uint = 3215745016, 
      v_long = -1079222280, v_ulong = 3215745016, 
      v_int64 = 44026733714497528, v_uint64 = 44026733714497528, 
      v_float = -1.34667873, v_double = 1.0115854742723055e-305, 
      v_pointer = 0xbfac5ff8}}}
	error = <value optimized out>
	instance_and_params = (GValue *) 0xbfac5dfc
	stack_values = {{g_type = 156561048, data = {{v_int = 155497496, 
        v_uint = 155497496, v_long = 155497496, v_ulong = 155497496, 
        v_int64 = 155497496, v_uint64 = 155497496, v_float = 2.36773215e-33, 
        v_double = 7.6825970787936651e-316, v_pointer = 0x944b418}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, 
        v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}, {
    g_type = 68, data = {{v_int = 159343712, v_uint = 159343712, 
        v_long = 159343712, v_ulong = 159343712, v_int64 = 159343712, 
        v_uint64 = 159343712, v_float = 3.07417046e-33, 
        v_double = 7.8726253980021587e-316, v_pointer = 0x97f6460}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, 
        v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}, {
    g_type = 95184632, data = {{v_int = 12721578, v_uint = 12721578, 
        v_long = 12721578, v_ulong = 12721578, v_int64 = 51198363823119786, 
        v_uint64 = 51198363823119786, v_float = 1.78267277e-38, 
        v_double = 3.1176848416898824e-305, v_pointer = 0xc21daa}, {
        v_int = 15365420, v_uint = 15365420, v_long = 15365420, 
        v_ulong = 15365420, v_int64 = 43661310401606956, 
        v_uint64 = 43661310401606956, v_float = 2.15315394e-38, 
        v_double = 9.6536643936959109e-306, v_pointer = 0xea752c}}}, {
    g_type = 25859097, data = {{v_int = 0, v_uint = 0, v_long = 0, 
        v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
        v_pointer = 0x0}, {v_int = 95354868, v_uint = 95354868, 
        v_long = 95354868, v_ulong = 95354868, v_int64 = 409564920345985012, 
        v_uint64 = 409564920345985012, v_float = 1.64569037e-35, 
        v_double = 2.6741878459425641e-281, v_pointer = 0x5aefff4}}}, {
    g_type = 160509176, data = {{v_int = 15441856, v_uint = 15441856, 
        v_long = 15441856, v_ulong = 15441856, v_int64 = 668811139117457344, 
        v_uint64 = 668811139117457344, v_float = 2.16386491e-38, 
        v_double = 5.9779381028263495e-264, v_pointer = 0xeb9fc0}, {
        v_int = -1079222620, v_uint = 3215744676, v_long = -1079222620, 
        v_ulong = 3215744676, v_int64 = -4635225631449391452, 
        v_uint64 = 13811518442260160164, v_float = -1.3466382, 
        v_double = -0.055411122701284371, v_pointer = 0xbfac5ea4}}}, {
    g_type = 15366253, data = {{v_int = 95354868, v_uint = 95354868, 
        v_long = 95354868, v_ulong = 95354868, v_int64 = 409564920345985012, 
        v_uint64 = 409564920345985012, v_float = 1.64569037e-35, 
        v_double = 2.6741878459425641e-281, v_pointer = 0x5aefff4}, {
        v_int = 160537872, v_uint = 160537872, v_long = 160537872, 
        v_ulong = 160537872, v_int64 = -4635225840663028464, 
        v_uint64 = 13811518233046523152, v_float = 3.50551811e-33, 
        v_double = -0.055409670990053894, v_pointer = 0x9919d10}}}, {
    g_type = 3086631608, data = {{v_int = 10137828, v_uint = 10137828, 
        v_long = 10137828, v_ulong = 10137828, v_int64 = 689504910019571940, 
        v_uint64 = 689504910019571940, v_float = 1.42061228e-38, 
        v_double = 1.3983957015843883e-262, v_pointer = 0x9ab0e4}, {
        v_int = 160509176, v_uint = 160509176, v_long = 160509176, 
        v_ulong = 160509176, v_int64 = -4635225857842926344, 
        v_uint64 = 13811518215866625272, v_float = 3.49497687e-33, 
        v_double = -0.055409551780565225, v_pointer = 0x9912cf8}}}, {
    g_type = 3215744964, data = {{v_int = -754782643, v_uint = 3540184653, 
        v_long = -754782643, v_ulong = 3540184653, v_int64 = 583360769613, 
        v_uint64 = 583360769613, v_float = -5.62343772e+11, 
        v_double = 2.8821851539729348e-312, v_pointer = 0xd302ee4d}, {
        v_int = 10140648, v_uint = 10140648, v_long = 10140648, 
        v_ulong = 10140648, v_int64 = 43548202432642024, 
        v_uint64 = 43548202432642024, v_float = 1.42100745e-38, 
        v_double = 9.5106045236505968e-306, v_pointer = 0x9abbe8}}}, {
    g_type = 3540184652, data = {{v_int = 160537872, v_uint = 160537872, 
        v_long = 160537872, v_ulong = 160537872, v_int64 = 160537872, 
        v_uint64 = 160537872, v_float = 3.50551811e-33, 
        v_double = 7.931624741165937e-316, v_pointer = 0x9919d10}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
        v_int64 = 21474836480, v_uint64 = 21474836480, v_float = 0, 
        v_double = 1.0609978954826362e-313, v_pointer = 0x0}}}, {
    g_type = 604, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
        v_int64 = -5189762262549659648, v_uint64 = 13256981811159891968, 
        v_float = 0, v_double = -4.8233141557568788e-39, v_pointer = 0x0}, {
        v_int = 25859097, v_uint = 25859097, v_long = 25859097, 
        v_ulong = 25859097, v_int64 = 43617454501041177, 
        v_uint64 = 43617454501041177, v_float = 5.09057036e-38, 
        v_double = 9.5981950974732393e-306, v_pointer = 0x18a9419}}}, {
    g_type = 25791896, data = {{v_int = 1, v_uint = 1, v_long = 1, 
        v_ulong = 1, v_int64 = 66322266509541377, 
        v_uint64 = 66322266509541377, v_float = 1.40129846e-45, 
        v_double = 3.1470332117796607e-304, v_pointer = 0x1}, {
        v_int = 155417072, v_uint = 155417072, v_long = 155417072, 
        v_ulong = 155417072, v_int64 = -4635224672437044752, 
        v_uint64 = 13811519401272506864, v_float = 2.35296059e-33, 
        v_double = -0.055417777186210659, v_pointer = 0x94379f0}}}, {
    g_type = 3215744980, data = {{v_int = 15366541, v_uint = 15366541, 
        v_long = 15366541, v_ulong = 15366541, v_int64 = 110775349837199757, 
        v_uint64 = 110775349837199757, v_float = 2.15331103e-38, 
        v_double = 2.9809723959697925e-301, v_pointer = 0xea798d}, {
        v_int = -1079222344, v_uint = 3215744952, v_long = -1079222344, 
        v_ulong = 3215744952, v_int64 = 66330979918962616, 
        v_uint64 = 66330979918962616, v_float = -1.3466711, 
        v_double = 3.1505598647102687e-304, v_pointer = 0xbfac5fb8}}}, {
    g_type = 12, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
        v_int64 = 21474836480, v_uint64 = 21474836480, v_float = 0, 
        v_double = 1.0609978954826362e-313, v_pointer = 0x0}, {v_int = 0, 
        v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 4294967296, 
        v_uint64 = 4294967296, v_float = 0, 
        v_double = 2.1219957909652723e-314, v_pointer = 0x0}}}, {
    g_type = 232, data = {{v_int = 95184632, v_uint = 95184632, 
        v_long = 95184632, v_ulong = 95184632, v_int64 = 405461134929061624, 
        v_uint64 = 405461134929061624, v_float = 1.6212627e-35, 
        v_double = 1.4192017483986058e-281, v_pointer = 0x5ac66f8}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
        v_int64 = -5189762262549659648, v_uint64 = 13256981811159891968, 
        v_float = 0, v_double = -4.8233141557568788e-39, v_pointer = 0x0}}}, {
    g_type = 3215744964, data = {{v_int = 160536576, v_uint = 160536576, 
        v_long = 160536576, v_ulong = 160536576, v_int64 = 309398181888, 
        v_uint64 = 309398181888, v_float = 3.50504204e-33, 
        v_double = 1.5286301255660219e-312, v_pointer = 0x9919800}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
        v_int64 = 409546039574396928, v_uint64 = 409546039574396928, 
        v_float = 0, v_double = 2.6684138827727956e-281, v_pointer = 0x0}}}, {
    g_type = 94403777, data = {{v_int = 64, v_uint = 64, v_long = 64, 
        v_ulong = 64, v_int64 = -4635224294635339712, 
        v_uint64 = 13811519779074211904, v_float = 8.96831017e-44, 
        v_double = -0.055420398712158647, v_pointer = 0x40}, {
        v_int = 155416632, v_uint = 155416632, v_long = 155416632, 
        v_ulong = 155416632, v_int64 = 111063976074508344, 
        v_uint64 = 111063976074508344, v_float = 2.35287978e-33, 
        v_double = 3.1005942047063092e-301, v_pointer = 0x9437838}}}}
	free_me = (GValue *) 0x0
	signal_return_type = 4
	param_values = (GValue *) 0xbfac5e10
	node = (SignalNode *) 0x954ea80
	i = 1
	n_params = 1
	__PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#17 0x00ed5b19 in IA__g_signal_emit (instance=0x944b418, signal_id=253, 
    detail=0) at gsignal.c:2243
	var_args = 0xbfac603c "`d\177\t\2309Q\tt\t\206\t d\177\001p\025±"
#18 0x00aec0c7 in e_tree_model_node_changed (tree_model=0x944b418, 
    node=0x97f6460) at e-tree-model.c:259
	__PRETTY_FUNCTION__ = "e_tree_model_node_changed"
#19 0x00ae9cd3 in e_tree_memory_thaw (etmm=0x944b418) at e-tree-memory.c:203
	priv = <value optimized out>
#20 0x019265d8 in regen_list_regened (mm=0x98f8800) at message-list.c:2421
No locals.
#21 0x01915912 in periodic_processing () at mail-mt.c:465
	__PRETTY_FUNCTION__ = "periodic_processing"
#22 0x0145dbf6 in g_timeout_dispatch (source=0x94d5b98, callback=0x97f6340, 
    user_data=0x0) at gmain.c:3422
No locals.
#23 0x0145d622 in IA__g_main_context_dispatch (context=0x93d52d0)
    at gmain.c:2045
No locals.
#24 0x014605ff in g_main_context_iterate (context=0x93d52d0, block=1, 
    dispatch=1, self=0x93ae648) at gmain.c:2677
	got_ownership = <value optimized out>
	max_priority = 0
	timeout = 0
	some_ready = 1
	nfds = <value optimized out>
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0x97f5ab8
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#25 0x014609a9 in IA__g_main_loop_run (loop=0x93e7f10) at gmain.c:2881
	got_ownership = 9773552
	self = (GThread *) 0x93ae648
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#26 0x0059c7e3 in bonobo_main () at bonobo-main.c:311
	loop = (GMainLoop *) 0x93e7f10
#27 0x0805eb60 in main (argc=2, argv=0xbfac6474) at main.c:586
	fd = 9773552
	program = (GnomeProgram *) 0x93b7810
	context = <value optimized out>
#0  0x0033e402 in __kernel_vsyscall ()
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y;
input not from terminal]


----------- .xsession-errors (13 sec old) ---------------------
(evolution:3217): Gdk-WARNING **: GdkWindow is too large to allow the use of
shape masks or shape regions.
** (evolution:3217): WARNING **: aspell error: No word lists can be found for
the language "ko_KR".
(evolution:3217): e-data-server-ui-DEBUG: ep_msg_send: in main thread? 0
(evolution:3217): e-data-server-ui-CRITICAL **:
e_source_combo_box_set_active_uid: assertion `!iter_was_set' failed
** (evolution:3217): WARNING **: aspell error: No word lists can be found for
the language "ko_KR".
CalDAV Eplugin starting up ...
** (evolution:4573): DEBUG: mailto URL command: evolution --component=mail %s
** (evolution:4573): DEBUG: mailto URL program: evolution
libnm_glib_nm_state_cb: dbus returned an error.
  (org.freedesktop.DBus.Error.ServiceUnknown) The name
org.freedesktop.NetworkManager was not provided by any .service files
--------------------------------------------------


Version-Release number of selected component (if applicable):
2.10.0-5.fc7

How reproducible:
always

Steps to Reproduce:
1. send a mail
2. fail to delivery
3. restart evolution 

 
Actual results:


Expected results:


Additional info:
evolution-data-server-1.10.0-4.fc7

After doing $rm -rf ~/.evolution/mail/Outbox* , this problem doesn't happen.

Comment 1 Yanko Kaneti 2007-04-07 15:11:26 UTC
Looks related to http://bugzilla.gnome.org/show_bug.cgi?id=373713


Comment 2 Matthias Clasen 2007-04-17 23:01:35 UTC
This sounds blocker-worthy

Comment 3 Will Woods 2007-04-19 00:44:00 UTC
Can't reproduce it here, using evolution-2.10.1-4.fc7.

Has the problem gone away? Can you update to evolution-2.10.1-4.fc7 and try again?

Comment 4 sangu 2007-04-20 13:11:57 UTC
Fixed in evolution-2.10.1-4.fc7
Thanks!

Comment 5 Matthew Barnes 2007-05-01 16:12:41 UTC
Actually this looks like it's a dupe of bug #238497.  The crash is triggered by
clicking the "To" column header in your Sent or Outbox folder.

Fixed for real in evolution-2.10.1-10.fc7.

*** This bug has been marked as a duplicate of 238497 ***


Note You need to log in before you can comment on or make changes to this bug.